import { PropsWithChildren } from 'react';
import { FormControlProps } from 'react-bootstrap/FormControl';
import { IFormFieldProps as ICoreFormFieldProps, IFormFieldPropsEnhanced as ICoreFormFieldPropsEnhanced, IRenderFormField, IFormFieldValue } from '@reactionable/core';
export declare type IFormFieldProps<Value extends IFormFieldValue> = Omit<ICoreFormFieldProps<Value>, 'children'> & FormControlProps & {
    label?: string;
    children?: IRenderFormField<Value>;
};
export declare type IFormFieldPropsEnhanced<Value extends IFormFieldValue> = ICoreFormFieldPropsEnhanced<Value>;
export declare function FormField<Value extends IFormFieldValue = string>({ label, children, ...props }: PropsWithChildren<IFormFieldProps<Value>>): JSX.Element;
